import 'package:json_annotation/json_annotation.dart';
import 'package:lori_sdk/data/models/product/productTag.dart';

part 'promotion.g.dart';

@JsonSerializable()
class Promotion {
  Promotion();

  String id;
  String tagId;
  String description;
  String imageUrl;
  ProductTag tag;

  factory Promotion.fromJson(Map<String, dynamic> json) =>
      _$PromotionFromJson(json);

  Map<String, dynamic> toJson() => _$PromotionToJson(this);
}
