import 'package:json_annotation/json_annotation.dart';

part 'tutorial.g.dart';

@JsonSerializable()
class Tutorial {
  Tutorial();

  String name;
  List<TutorialPage> pages;

  factory Tutorial.fromJson(Map<String, dynamic> json) =>
      _$TutorialFromJson(json);

  Map<String, dynamic> toJson() => _$TutorialToJson(this);
}


@JsonSerializable()
class TutorialPage {
  TutorialPage();

  int order;
  String iconName;
  String title;
  String content;

  factory TutorialPage.fromJson(Map<String, dynamic> json) =>
      _$TutorialPageFromJson(json);

  Map<String, dynamic> toJson() => _$TutorialPageToJson(this);
}