//No need to json serialize here yet
class WhatsappConfigurations {
  final String number;
  final String message;

  WhatsappConfigurations({this.number, this.message});

  Uri get whatsAppUrl {
    Map<String, String> queryParameters = {};

    if (this.message != null) {
      queryParameters['text'] = this.message;
    }

    return Uri.https("wa.me", "/$number", queryParameters);
  }
}